﻿using System;
using System.ComponentModel;
using System.Windows;
using System.Windows.Controls;

namespace SilverAuth
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void btnLogin_Click(object sender, RoutedEventArgs e)
        {
            lblLogin.Text = string.Empty;
            ServiceReference1.AuthenticationServiceClient objWSAuth = new ServiceReference1.AuthenticationServiceClient();
            objWSAuth.LoginCompleted += new EventHandler<ServiceReference1.LoginCompletedEventArgs>(objWSAuth_LoginCompleted);
            objWSAuth.LoginAsync(txtUser.Text, txtPassword.Password, string.Empty, true);
        }

        void objWSAuth_LoginCompleted(object sender, ServiceReference1.LoginCompletedEventArgs e)
        {
            lblLogin.Text = e.Result.ToString();
            lblTime.Text = DateTime.Now.ToLongTimeString();
        }

        private void btnLogout_Click(object sender, RoutedEventArgs e)
        {
            lblLogout.Text = string.Empty;
            ServiceReference1.AuthenticationServiceClient objWSAuth = new ServiceReference1.AuthenticationServiceClient();
            objWSAuth.LogoutCompleted += new EventHandler<AsyncCompletedEventArgs>(objWSAuth_LogoutCompleted);
            objWSAuth.LogoutAsync();
        }

        void objWSAuth_LogoutCompleted(object sender, AsyncCompletedEventArgs e)
        {
            lblLogout.Text = "Listo";
            lblTime.Text = DateTime.Now.ToLongTimeString();
        }

        private void btnIsLogedIn_Click(object sender, RoutedEventArgs e)
        {
            lblIsLogedIn.Text = string.Empty;
            ServiceReference1.AuthenticationServiceClient objWSAuth = new ServiceReference1.AuthenticationServiceClient();
            objWSAuth.IsLoggedInCompleted += new EventHandler<ServiceReference1.IsLoggedInCompletedEventArgs>(objWSAuth_IsLoggedInCompleted);
            objWSAuth.IsLoggedInAsync();
        }

        void objWSAuth_IsLoggedInCompleted(object sender, ServiceReference1.IsLoggedInCompletedEventArgs e)
        {
            lblIsLogedIn.Text = e.Result.ToString();
            lblTime.Text = DateTime.Now.ToLongTimeString();
        }
    }
}